# Summary

[The Garage Data Store](./intro.md)

- [Quick start](./quick_start/index.md)

- [Cookbook](./cookbook/index.md)
  - [Building from source](./cookbook/from_source.md)
  - [Integration with systemd](./cookbook/systemd.md)
  - [Gateways](./cookbook/gateways.md)
  - [Exposing buckets as websites](./cookbook/exposing_websites.md)
  - [Configuring a reverse proxy](./cookbook/reverse_proxy.md)
  - [Production Deployment](./cookbook/real_world.md)
  - [Recovering from failures](./cookbook/recovering.md)

- [Integrations](./connect/index.md)
  - [Apps (Nextcloud, Peertube...)](./connect/apps.md)
  - [Websites (Hugo, Jekyll, Publii...)](./connect/websites.md)
  - [Repositories (Docker, Nix...)](./connect/repositories.md)
  - [CLI tools (rclone, awscli, mc...)](./connect/cli.md)
  - [Your code (PHP, JS, Go...)](./connect/code.md)


- [Reference Manual](./reference_manual/index.md)
  - [Garage configuration file](./reference_manual/configuration.md)
  - [Garage CLI](./reference_manual/cli.md)
  - [S3 compatibility status](./reference_manual/s3_compatibility.md)

- [Design](./design/index.md)
  - [Related Work](./design/related_work.md)
  - [Internals](./design/internals.md)

- [Development](./development/index.md)
  - [Setup your environment](./development/devenv.md)
  - [Development scripts](./development/scripts.md)
  - [Release process](./development/release_process.md)

- [Working Documents](./working_documents/index.md)
  - [Load Balancing Data](./working_documents/load_balancing.md)
  - [Migrating from 0.3 to 0.4](./working_documents/migration_04.md)
